Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config
Interface CompositeRegPopulator

All Superinterfaces:
  JposRegPopulator

All Known Implementing Classes:
  DefaultCompositeRegPopulator

public interface CompositeRegPopulator
extends JposRegPopulator

Defines a composite interface collecting many JposRegPopulator objects See GoF Composite pattern for explanation on Composite classes/objects

Since:
  1.3 (Washington DC 2001 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`static java.lang.String` | `COMPOSITE_REG_POPULATOR_STRING` The default name for the CompositeRegPopulator

Method Summary
`void` | `add(JposRegPopulator populator)` Adds this JposRegPopulator to the composite
`JposRegPopulator` | `getDefaultPopulator()`
`JposRegPopulator` | `getPopulator(java.lang.String uniqueId)`
`java.util.Iterator` | `getPopulators()`
`void` | `remove(JposRegPopulator populator)` Removes this JposRegPopulator from the composite
`int` | `size()`

Methods inherited from interface jpos.config.JposRegPopulator
`getClassName, getEntries, getEntriesURL, getLastLoadException, getName, getUniqueId, isComposite, load, load, save, save`

Field Detail

### COMPOSITE_REG_POPULATOR_STRING

    public static final java.lang.String COMPOSITE_REG_POPULATOR_STRING

  The default name for the CompositeRegPopulator

Method Detail

### getDefaultPopulator

    public JposRegPopulator getDefaultPopulator()

  Returns:
    the default JposRegPopulator

### add

    public void add(JposRegPopulator populator)

  Adds this JposRegPopulator to the composite
  Parameters:
    `populator` - adds the populator to the composite reg populator. Does nothing if the popualator already is in the composite

### remove

    public void remove(JposRegPopulator populator)

  Removes this JposRegPopulator from the composite
  Parameters:
    `populator` - removes the populator to the composite reg populator

### getPopulators

    public java.util.Iterator getPopulators()

  Returns:
    an iterator over all populators in this composite

### getPopulator

    public JposRegPopulator getPopulator(java.lang.String uniqueId)

  Parameters:
    `uniqueId` - the populator unique ID
  Returns:
    the populator with unique ID passed
  See Also:
    `JposRegPopulator.getUniqueId()`

### size

    public int size()

  Returns:
    the number of populator in this composite

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details